﻿@using LAP.Areas.Adviser.Models;
@{
    List<BoardItemModel> history = ViewBag.History;
    Lead leadDetail = ViewBag.Lead;
    var email = Model != null ? Model.Lead.Email : leadDetail.Email;
    var name = Model != null ? Model.Lead.Name : leadDetail.Name;
    bool fromFliter = ViewBag.FromFilter;
}
@model ProspectAppointment
@if (Model?.Stage == ProspectAppointmentStageEnum.PreAppointment)
{
    <div class="d-flex flex-row-reverse">
        <div>
            <a class="btn btn-xs btn-icon delete-event"><i class="far fa-trash-alt icon-md text-danger"></i></a>
            <a class="btn btn-xs btn-icon close-event-popover"><i class="ki ki-close icon-nm"></i></a>
        </div>
    </div>
    <hr class="mt-2" />
}
<div><span class="font-weight-bolder">Email: </span>@email</div>
<div><span class="font-weight-bolder">Name: </span>@name</div>
@if (Model != null && Model.Stage != ProspectAppointmentStageEnum.Lead && Model.Stage != ProspectAppointmentStageEnum.PreAppointment && Model.Stage != ProspectAppointmentStageEnum.NewClient && !Model.FallOut && !fromFliter)
{
    <div><span class="font-weight-bolder">Subject: </span>@Model.Subject</div>
    <div><span class="font-weight-bolder">Start Date & Time: </span>@Convert.ToDateTime(Model.StartDateTime).ToString("MMM dd, yyyy hh:mm tt")</div>
    <div><span class="font-weight-bolder">End Date & Time: </span>@Convert.ToDateTime(Model.EndDateTime).ToString("MMM dd, yyyy hh:mm tt")</div>
    <div><span class="font-weight-bolder">Stage: </span>@Model.Stage.GetDisplayName()</div>
    <div><span class="font-weight-bolder">Location: </span>@Model.Location</div>
    <div><span class="font-weight-bolder">Status: </span>@Model.Status</div>
}
@if (history.Any())
{
    <div class="hr"></div>
    <div class="timeline timeline-5">
        @foreach (var item in history)
        {
            <div class="timeline-item align-items-start">
                <div class="timeline-label font-weight-bold">@item.Date.ToString("MMM dd, yyyy hh:mm tt")</div>
                <div class="timeline-badge">
                    <i class="fa fa-genderless text-@(!item.FallOut ? "primary" :"danger") icon-xl"></i>
                </div>
                <div class="timeline-content pl-3">@(!item.FallOut ? item.Stage.GetDisplayName() : item.Stage.GetDisplayName().Replace("Appointment", "Fallout"))</div>
            </div>
        }
    </div>
}